#include <iostream>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0);
    long long N,M;
    cin >> N >> M;
    cout << 2*N+2*M-4+(N*M-2*N-2*M+4)/2;

    return 0;
}